=== requirements.txt ===
ruamel.yaml>=0.12.4, <= 0.16.5
rdflib>=4.2.2, <= 5.0.0
rdflib-jsonld>=0.4.0, <0.6.0
mistune>=0.8.1,<0.9
CacheControl==0.11.7
lockfile==0.12.2
typing-extensions
