=== debian/changelog ===
python-schema-salad (7.0.20210124093443-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * Refresh patches
  * debian/rules: skip tests that require internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 14:50:30 +0100

python-schema-salad (7.0.20200811075006-2) unstable; urgency=high

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael R. Crusoe ]
  * debian/rules, debian/tests/run-test: fix pytest invocation (--pyargs
    instead of --pyarg)
  * debian/patches/rdflib5: Add rdflib 5.0.x compatability. Closes: #978327

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 10:07:59 +0100
