=== requirements.txt ===
ruamel.yaml>= 0.12.4, != 0.16.6, < 0.18
rdflib>= 4.2.2, < 6.0.0;python_version<='3.6'
rdflib>= 4.2.2, < 7.0.0
rdflib-jsonld>=0.4.0, <= 0.6.1;python_version<='3.6'
mistune>=0.8.1,<0.9
CacheControl==0.12.10
lockfile==0.12.2  # needed for CacheControl's FileCache
black
