=== debian/changelog ===
python-schema-salad (8.2.20220103095339-1) unstable; urgency=medium

  * New upstream version
  * Add a patch to use the Debian copy of the Apache 2.0 license for the
    typescript codegen feature

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 19 Jan 2022 12:41:03 +0100

python-schema-salad (8.2.20211104054942-1) unstable; urgency=medium

  * New upstream version
  * New dependency: black (for --codegen python)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Nov 2021 07:22:45 +0100

python-schema-salad (8.2.20210918131710-2) unstable; urgency=medium

  * Breaks: older cwltool (<< 3.1.20210521105815)
  * Mark minimum pytest version; enable building with fewer dependencies
    with the "nocheck" profile.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Sep 2021 12:15:59 +0200

python-schema-salad (8.2.20210918131710-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Removed now unneeded CacheControl & ruamel.yaml dependency patches.
  * Force dependency on python3-rdflib-jsonld; to be dropped when Debian gets
    v6 of rdflib
  * Remove conflict with python-schema-salad
  * No longer need to build-dep on typing-extensions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Sep 2021 20:36:08 +0200
