=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
                python3-ruamel.yaml,
                python3-cachecontrol,
                python3-lockfile,
-               python3-typing-extensions,
-               python3-pytest-xdist,
-               python3-pytest-runner,
+               python3-pytest-xdist <!nocheck>,
+               python3-pytest (>> 6.2) <!nocheck>,
+               python3-pytest-runner <!nocheck>,
+               black <!nocheck>,
                help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://www.commonwl.org
@@ -30,10 +31,12 @@
 Package: python3-schema-salad
 Architecture: all
 Depends: ${python3:Depends},
+         python3-rdflib-jsonld,
+         black,
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool
-Conflicts: python-schema-salad
+Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
  documents. Salad is based originally on JSON-LD and the Apache Avro data
