=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-n auto --dist=loadfile --pyargs schema_salad -k 'not test_secondaryFiles and not test_outputBinding'" dh_auto_test
+		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding)' \
+		--pyargs schema_salad" dh_auto_test
 endif
 
 override_dh_auto_install:
