=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest (>> 6.2)
Restrictions: allow-stderr
