## python-schema-salad 8.2.20220204150214

=== requirements.txt ===
ruamel.yaml>= 0.12.4, != 0.16.6, < 0.18
rdflib>= 4.2.2, < 7.0.0
mistune>=0.8.1,<0.9
CacheControl==0.12.10
lockfile==0.12.2  # needed for CacheControl's FileCache
black
