=== debian/changelog ===
python-schema-salad (8.2.20220204150214-1) unstable; urgency=high

  * Switch to mistune0 to keep the compatible version. Closes: #1003567
  * New upstream version
  * rdflib-jsonld is no longer need with rdlfib >= 6

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Apr 2022 17:05:37 +0200
