=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
                python3-all,
                python3-future,
                python3-setuptools,
-               python3-mistune,
+               python3-mistune0,
                python3-requests,
                python3-yaml,
-               python3-rdflib-jsonld,
                python3-rdflib,
                python3-ruamel.yaml,
                python3-cachecontrol,
@@ -21,6 +20,7 @@
                python3-pytest (>> 6.2) <!nocheck>,
                python3-pytest-runner <!nocheck>,
                black <!nocheck>,
+               python3-typing-extensions <!nocheck>,
                help2man
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
@@ -31,11 +31,10 @@
 Package: python3-schema-salad
 Architecture: all
 Depends: ${python3:Depends},
-         python3-rdflib-jsonld,
-         black,
+         python3-mistune0,
          ${misc:Depends},
          libjs-bootstrap
-Recommends: cwltool
+Recommends: cwltool, black
 Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
