=== requirements.txt ===
ruamel.yaml >= 0.17.6, < 0.17.22;python_version>='3.7'
ruamel.yaml >= 0.16.12, < 0.17.22
rdflib>= 4.2.2, < 7.0.0
rdflib>= 4.2.2, < 6.0.0;python_version<='3.6'
rdflib-jsonld>=0.4.0, <= 0.6.1;python_version<='3.6'
mistune>=2.0.3,<2.1
CacheControl[filecache]==0.12.11
black<23.2
mypy_extensions
