=== debian/changelog ===
python-schema-salad (8.4.20230213094415-1) unstable; urgency=medium

  * d/clean: expand to cover more leftovers
  * New upstream version. Closes: #1031464
  * Set version using SETUPTOOLS_SCM_PRETEND_VERSION.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Feb 2023 13:24:38 +0100

python-schema-salad (8.4.20230201194352-2) unstable; urgency=medium

  * Use mypyc to build optimized binaries.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 04 Feb 2023 19:32:44 +0100

python-schema-salad (8.4.20230201194352-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * refresh patches
  * skip test_bad_schemas as it needs internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 17:59:41 +0100

python-schema-salad (8.3.20221209165047-1) unstable; urgency=medium

  * New upstream version
  * Drop mistune patch; switch to python3-mistune 2.x as upstream has
    upgraded.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Dec 2022 12:44:55 +0100

python-schema-salad (8.3.20221115203138-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 17 Nov 2022 15:14:30 +0100

python-schema-salad (8.3.20221016151607-1) unstable; urgency=medium

  * New upstream version
  * Drop debian/patches/setuptools_not_runtime_req, applied upstream.
    Refresehd remaining patches.
  * Build-dep on recent cachecontrol (0.12.12 and newer) with filelock
    instead of lockfile.
  * autopktest: echo the commands as we run them

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 17:36:26 +0200

python-schema-salad (8.3.20220825133457-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debian/control: build-dep on pybuild-plugin-pyprojecy to parse the
    PEP 517 installer file.
  * debian/patches/setuptools_not_runtime_req: added
  * debian/install: keep the license for the dotnet codegen

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Aug 2022 13:15:06 +0200
