=== debian/control ===
--- 
+++ 
@@ -7,31 +7,37 @@
                dh-python,
                python3,
                python3-all,
+               python3-dev,
                python3-future,
                python3-setuptools,
-               python3-mistune0,
+               python3-setuptools-scm,
+               python3-mistune (>> 2),
                python3-requests,
                python3-yaml,
                python3-rdflib,
                python3-ruamel.yaml,
-               python3-cachecontrol,
-               python3-lockfile,
+               python3-mypy,
+               python3-typeshed,
+               python3-cachecontrol ( >> 0.12.12 ),
+               python3-filelock,
+               pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
                python3-pytest (>> 6.2) <!nocheck>,
                python3-pytest-runner <!nocheck>,
                black <!nocheck>,
                python3-typing-extensions <!nocheck>,
                help2man
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://www.commonwl.org
 Rules-Requires-Root: no
 
 Package: python3-schema-salad
-Architecture: all
+Architecture: any
 Depends: ${python3:Depends},
          python3-mistune0,
+         python3-filelock,
          ${misc:Depends},
          libjs-bootstrap
 Recommends: cwltool, black
