=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 export PYBUILD_NAME=schema-salad
 #export PYBUILD_DISABLE=test
+export SCHEMA_SALAD_USE_MYPYC=1
+export MYPYPATH=$(CURDIR)/mypy-stubs
+#export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -38,7 +41,7 @@
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error)' \
+		-rs -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas)' \
 		--pyargs schema_salad" dh_auto_test
 endif
