=== debian/changelog ===
python-schema-salad (8.4.20230808163024-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * drop bump-cachecontrol, no longer needed.
  * d/control: add build-dep on python3-importlib-resources

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Aug 2023 19:51:20 +0200

python-schema-salad (8.4.20230213094415-2) unstable; urgency=medium

  * Team upload.
  * Patch: Allow cachecontrol 0.13 to be installed.
  * Mark the autopkgtest as needs-internet.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 12:45:36 -0400
