=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-all,
                python3-dev,
@@ -20,6 +20,7 @@
                python3-typeshed,
                python3-cachecontrol ( >> 0.12.12 ),
                python3-filelock,
+               python3-importlib-resources ( >> 6 ),
                pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
                python3-pytest (>> 6.2) <!nocheck>,
