## python-schema-salad 8.5.20240102191335

=== Makefile ===
--- 
+++ 
@@ -31,9 +31,7 @@
 COVBASE=coverage run --append
 PYTEST_EXTRA ?= -rs
 
-# Updating the Major & Minor version below?
-# Don't forget to update setup.py as well
-VERSION=8.4.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=8.5.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all                    : default task (install schema-salad in dev mode)
@@ -177,9 +175,6 @@
 mypy3: mypy
 mypy: $(filter-out setup.py,$(PYSOURCES))
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
-
-mypy_3.6: $(filter-out setup.py,$(PYSOURCES))
-	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^
 
 mypyc: $(PYSOURCES)
 	MYPYPATH=mypy-stubs SCHEMA_SALAD_USE_MYPYC=1 pip install --verbose -e . \
@@ -206,7 +201,8 @@
 	shellcheck build-schema_salad-docker.sh release-test.sh
 
 pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
-	pyupgrade --exit-zero-even-if-changed --py36-plus $^
+	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	auto-walrus $^
 
 release-test: FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
