=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=2.0.3,<2.1
CacheControl[filecache]>= 0.11.7, < 0.14
black>=19.10b0,<23.13
mypy_extensions
importlib_resources>=1.4;python_version<'3.9'
