=== debian/changelog ===
python-schema-salad (8.5.20240102191335-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:59:22 +0000

python-schema-salad (8.5.20240102191335-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version. Closes: #1058270, #1059992

  [ Michael R. Crusoe ]
  * d/control: change build-dep to python3-all-dev (not just python3-dev).
  * d/patches/mistune3.patch: add Francis Charette Migneault's fixes for
    mistune3.
  * d/control: bump python3-mistune dependency to at least version 3,
               remove python3-importlib-resources as it isn't needed anymore
  * d/patches/offline: enable additional testing without an internet
                       connection.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 18 Jan 2024 18:17:50 +0100
