=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
                dh-sequence-python3,
                python3,
                python3-all,
-               python3-dev,
-               python3-future,
+               python3-all-dev,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-mistune (>> 2),
+               python3-mistune (>> 3),
                python3-requests,
                python3-yaml,
                python3-rdflib,
@@ -20,7 +19,6 @@
                python3-typeshed,
                python3-cachecontrol ( >> 0.12.12 ),
                python3-filelock,
-               python3-importlib-resources ( >> 6 ),
                pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
                python3-pytest (>> 6.2) <!nocheck>,
@@ -37,7 +35,7 @@
 Package: python3-schema-salad
 Architecture: any
 Depends: ${python3:Depends},
-         python3-mistune0,
+         python3-mistune ( >> 3),
          python3-filelock,
          ${misc:Depends},
          libjs-bootstrap
