=== debian/changelog ===
python-schema-salad (8.5.20240410123758-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 16:36:05 +0300

python-schema-salad (8.5.20240311110950-1) unstable; urgency=medium

  * d/patches: fix some metadata
  * d/control: add missing dependency on libc
  * d/control: link to the Read The Docs page for schema-salad, not the
    main CWL project website.
  * New upstream version
  * d/patches: drop mistune3, offline patches, they were applied
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 12:36:41 +0100
