=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
-Homepage: https://www.commonwl.org
+Homepage: https://schema-salad.readthedocs.io/
 Rules-Requires-Root: no
 
 Package: python3-schema-salad
@@ -38,6 +38,7 @@
          python3-mistune ( >> 3),
          python3-filelock,
          ${misc:Depends},
+         ${shlibs:Depends},
          libjs-bootstrap
 Recommends: cwltool, black
 Breaks: cwltool (<< 3.1.20210521105815)
